package com.ylx.servicecategory.domain.vo;

import com.ylx.servicecategory.domain.ServiceCategory;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

@AllArgsConstructor
@ApiModel("客户端服务类目VO")
@Data
public class ClientServiceCategoryVO {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("服务标签（1：按摩 2：陪玩）")
    private Integer serviceTag;

    @ApiModelProperty("服务类目名称")
    private String name;

    @ApiModelProperty("服务类目图标")
    private String icon;

    public ClientServiceCategoryVO(ServiceCategory entity) {
        this.id = entity.getId();
        this.serviceTag = entity.getServiceTag();
        this.name = entity.getName();
        this.icon = entity.getIcon();
    }

}
